#include <bits/stdc++.h>
using namespace std;
int n, MIN;
bool istiMIN;
int niz[200005];

int main() {
    cin >> n;

    for(int i = 1; i <= n; i++)
        cin >> niz[i];

    MIN = 200005;

    if(n <= 10){
        for(int i = 1; i <= n; i++){
            if(niz[i] < MIN)
                MIN = niz[i];
        }
        for(int i = 1; i <= n; i++)
            if(MIN == niz[i] || -MIN == niz[i])
                istiMIN = true;

        if(istiMIN && MIN == -1){
            cout << 1 <<'\n';
            cout << 1 <<'\n';
        }
        else{
            cout << n <<'\n';
            for(int i = 1; i <= n; i++){
                if(niz[i] < 0)
                    cout << 2;
                if(niz[i] > 0)
                    cout << 1;
            }
        }
    }

    return 0;}